> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization activity

> Returns a single organization activity by ID.



## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/activities/{activityId}
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/activities/{activityId}:
    get:
      tags:
        - Organization
      summary: Organization activity
      description: Returns a single organization activity by ID.
      parameters:
        - in: path
          name: organizationId
          description: ID of the requested organization.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: activityId
          description: ID of the requested activity.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Activity'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    Activity:
      properties:
        id:
          description: Unique activity ID.
          type: string
        createdAt:
          description: Timestamp of the activity. ISO-8601.
          type: string
          format: date-time
        type:
          description: Type of the activity.
          type: string
          enum:
            - create_organization
            - organization_update_name
            - transfer_service_in
            - transfer_service_out
            - save_payment_method
            - marketplace_subscription
            - migrate_marketplace_billing_details_in
            - migrate_marketplace_billing_details_out
            - organization_update_tier
            - organization_invite_create
            - organization_invite_delete
            - organization_member_join
            - organization_member_add
            - organization_member_leave
            - organization_member_delete
            - organization_member_update_role
            - organization_member_update_mfa_method
            - user_login
            - user_login_failed
            - user_logout
            - key_create
            - key_delete
            - openapi_key_update
            - service_create
            - service_start
            - service_stop
            - service_awaken
            - service_partially_running
            - service_delete
            - service_update_name
            - service_update_ip_access_list
            - service_update_autoscaling_memory
            - service_update_autoscaling_idling
            - service_update_password
            - service_update_autoscaling_replicas
            - service_update_max_allowable_replicas
            - service_update_backup_configuration
            - service_restore_backup
            - service_update_release_channel
            - service_update_gpt_usage_consent
            - service_update_private_endpoints
            - service_import_to_organization
            - service_export_from_organization
            - service_maintenance_start
            - service_maintenance_end
            - service_update_core_dump
            - backup_delete
        actorType:
          description: 'Type of the actor: ''user'', ''support'', ''system'', ''api''.'
          type: string
          enum:
            - user
            - support
            - system
            - api
        actorId:
          description: Unique actor ID.
          type: string
        actorDetails:
          description: Additional information about the actor.
          type: string
        actorIpAddress:
          description: IP address of the actor. Defined for 'user' and 'api' actor types.
          type: string
        organizationId:
          description: 'Scope of the activity: organization ID this activity is related to.'
          type: string
        serviceId:
          description: 'Scope of the activity: service ID this activity is related to.'
          type: string
        userAgent:
          description: User agent of the actor
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````